| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DomainParticipantQos Class Reference
eProsima Fast DDS API Reference » DDS Public API » Fast DDS Quality of Service (QoS) Module.

Class DomainParticipantQos, contains all the possible Qos that can be set for a determined participant. More...

`#include <DomainParticipantQos.hpp>`

Inheritance diagram for DomainParticipantQos:
[legend]

## Public Types

using | FlowControllerDescriptorList = std::vector<std::shared_ptr<fastdds::rtps::FlowControllerDescriptor>>
| User defined flow controllers to use alongside.

## Public Member Functions

FASTDDS_EXPORTED_API | DomainParticipantQos ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~DomainParticipantQos ()
| Destructor.
virtual bool | operator== (const DomainParticipantQos &b) const
const UserDataQosPolicy & | user_data () const
| Getter for UserDataQosPolicy.
UserDataQosPolicy & | user_data ()
| Getter for UserDataQosPolicy.
void | user_data (const UserDataQosPolicy &value)
| Setter for UserDataQosPolicy.
const EntityFactoryQosPolicy & | entity_factory () const
| Getter for EntityFactoryQosPolicy.
EntityFactoryQosPolicy & | entity_factory ()
| Getter for EntityFactoryQosPolicy.
void | entity_factory (const EntityFactoryQosPolicy &value)
| Setter for EntityFactoryQosPolicy.
const ParticipantResourceLimitsQos & | allocation () const
| Getter for ParticipantResourceLimitsQos.
ParticipantResourceLimitsQos & | allocation ()
| Getter for ParticipantResourceLimitsQos.
void | allocation (const ParticipantResourceLimitsQos &allocation)
| Setter for ParticipantResourceLimitsQos.
const PropertyPolicyQos & | properties () const
| Getter for PropertyPolicyQos.
PropertyPolicyQos & | properties ()
| Getter for PropertyPolicyQos.
void | properties (const PropertyPolicyQos &properties)
| Setter for PropertyPolicyQos.
const WireProtocolConfigQos & | wire_protocol () const
| Getter for WireProtocolConfigQos.
WireProtocolConfigQos & | wire_protocol ()
| Getter for WireProtocolConfigQos.
void | wire_protocol (const WireProtocolConfigQos &wire_protocol)
| Setter for WireProtocolConfigQos.
const TransportConfigQos & | transport () const
| Getter for TransportConfigQos.
TransportConfigQos & | transport ()
| Getter for TransportConfigQos.
void | transport (const TransportConfigQos &transport)
| Setter for TransportConfigQos.
const fastcdr::string_255 & | name () const
| Getter for the Participant name.
fastcdr::string_255 & | name ()
| Getter for the Participant name.
void | name (const fastcdr::string_255 &value)
| Setter for the Participant name.
FlowControllerDescriptorList & | flow_controllers ()
| Getter for FlowControllerDescriptorList.
FASTDDS_EXPORTED_API bool | compare_flow_controllers (const DomainParticipantQos &qos) const
| Compares the flow controllers of two DomainParticipantQos element-wise.
const FlowControllerDescriptorList & | flow_controllers () const
| Getter for FlowControllerDescriptorList.
rtps::ThreadSettings & | builtin_controllers_sender_thread ()
| Getter for builtin flow controllers sender threads ThreadSettings.
const rtps::ThreadSettings & | builtin_controllers_sender_thread () const
| Getter for builtin flow controllers sender threads ThreadSettings.
FASTDDS_EXPORTED_API void | setup_transports (rtps::BuiltinTransports transports, const rtps::BuiltinTransportsOptions &options=rtps::BuiltinTransportsOptions())
| Provides a way of easily configuring transport related configuration on certain pre-defined scenarios with certain options.
void | builtin_controllers_sender_thread (const rtps::ThreadSettings &value)
| Setter for the builtin flow controllers sender threads ThreadSettings.
rtps::ThreadSettings & | timed_events_thread ()
| Getter for timed event ThreadSettings.
const rtps::ThreadSettings & | timed_events_thread () const
| Getter for timed event ThreadSettings.
void | timed_events_thread (const rtps::ThreadSettings &value)
| Setter for the timed event ThreadSettings.
rtps::ThreadSettings & | discovery_server_thread ()
| Getter for discovery server ThreadSettings.
const rtps::ThreadSettings & | discovery_server_thread () const
| Getter for discovery server ThreadSettings.
void | discovery_server_thread (const rtps::ThreadSettings &value)
| Setter for the discovery server ThreadSettings.
rtps::ThreadSettings & | typelookup_service_thread ()
| Getter for TypeLookup service ThreadSettings.
const rtps::ThreadSettings & | typelookup_service_thread () const
| Getter for TypeLookup service ThreadSettings.
void | typelookup_service_thread (const rtps::ThreadSettings &value)
| Setter for the TypeLookup service ThreadSettings.

## Friends

class | DomainParticipantExtendedQos

## Detailed Description

Class DomainParticipantQos, contains all the possible Qos that can be set for a determined participant.

Please consult each of them to check for implementation details and default values.

## Member Typedef Documentation

## ◆ FlowControllerDescriptorList

using FlowControllerDescriptorList = std::vector<std::shared_ptr<fastdds::rtps::FlowControllerDescriptor>>

User defined flow controllers to use alongside.

Since
  2.4.0

## Constructor & Destructor Documentation

## ◆ DomainParticipantQos()

FASTDDS_EXPORTED_API DomainParticipantQos | ( |  | ) |

inline

Constructor.

## ◆ ~DomainParticipantQos()

virtual FASTDDS_EXPORTED_API ~DomainParticipantQos | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## ◆ allocation() [1/3]

ParticipantResourceLimitsQos & allocation | ( |  | ) |

inline

Getter for ParticipantResourceLimitsQos.

Returns
  ParticipantResourceLimitsQos reference

## ◆ allocation() [2/3]

const ParticipantResourceLimitsQos & allocation | ( |  | ) | const

inline

Getter for ParticipantResourceLimitsQos.

Returns
  ParticipantResourceLimitsQos reference

## ◆ allocation() [3/3]

void allocation | ( | const ParticipantResourceLimitsQos & | allocation | ) |

inline

Setter for ParticipantResourceLimitsQos.

Parameters

  allocation | ParticipantResourceLimitsQos

## ◆ builtin_controllers_sender_thread() [1/3]

rtps::ThreadSettings & builtin_controllers_sender_thread | ( |  | ) |

inline

Getter for builtin flow controllers sender threads ThreadSettings.

Returns
  rtps::ThreadSettings reference

## ◆ builtin_controllers_sender_thread() [2/3]

const rtps::ThreadSettings & builtin_controllers_sender_thread | ( |  | ) | const

inline

Getter for builtin flow controllers sender threads ThreadSettings.

Returns
  rtps::ThreadSettings reference

## ◆ builtin_controllers_sender_thread() [3/3]

void builtin_controllers_sender_thread | ( | const rtps::ThreadSettings & | value | ) |

inline

Setter for the builtin flow controllers sender threads ThreadSettings.

Parameters

  value | New ThreadSettings to be set

## ◆ compare_flow_controllers()

FASTDDS_EXPORTED_API bool compare_flow_controllers | ( | const DomainParticipantQos & | qos | ) | const

Compares the flow controllers of two DomainParticipantQos element-wise.

Parameters

  qos | The DomainParticipantQos to compare with.

Returns
  true if the flow controllers are the same, false otherwise.

## ◆ discovery_server_thread() [1/3]

rtps::ThreadSettings & discovery_server_thread | ( |  | ) |

inline

Getter for discovery server ThreadSettings.

Returns
  rtps::ThreadSettings reference

## ◆ discovery_server_thread() [2/3]

const rtps::ThreadSettings & discovery_server_thread | ( |  | ) | const

inline

Getter for discovery server ThreadSettings.

Returns
  rtps::ThreadSettings reference

## ◆ discovery_server_thread() [3/3]

void discovery_server_thread | ( | const rtps::ThreadSettings & | value | ) |

inline

Setter for the discovery server ThreadSettings.

Parameters

  value | New ThreadSettings to be set

## ◆ entity_factory() [1/3]

EntityFactoryQosPolicy & entity_factory | ( |  | ) |

inline

Getter for EntityFactoryQosPolicy.

Returns
  EntityFactoryQosPolicy reference

## ◆ entity_factory() [2/3]

const EntityFactoryQosPolicy & entity_factory | ( |  | ) | const

inline

Getter for EntityFactoryQosPolicy.

Returns
  EntityFactoryQosPolicy reference

## ◆ entity_factory() [3/3]

void entity_factory | ( | const EntityFactoryQosPolicy & | value | ) |

inline

Setter for EntityFactoryQosPolicy.

Parameters

  value | EntityFactoryQosPolicy

## ◆ flow_controllers() [1/2]

FlowControllerDescriptorList & flow_controllers | ( |  | ) |

inline

Getter for FlowControllerDescriptorList.

Returns
  FlowControllerDescriptorList reference

## ◆ flow_controllers() [2/2]

const FlowControllerDescriptorList & flow_controllers | ( |  | ) | const

inline

Getter for FlowControllerDescriptorList.

Returns
  FlowControllerDescriptorList reference

## ◆ name() [1/3]

fastcdr::string_255 & name | ( |  | ) |

inline

Getter for the Participant name.

Returns
  name

## ◆ name() [2/3]

const fastcdr::string_255 & name | ( |  | ) | const

inline

Getter for the Participant name.

Returns
  name

## ◆ name() [3/3]

void name | ( | const fastcdr::string_255 & | value | ) |

inline

Setter for the Participant name.

Parameters

  value | New name to be set

## ◆ operator==()

virtual bool operator== | ( | const DomainParticipantQos & | b | ) | const

inline virtual

Reimplemented in DomainParticipantExtendedQos.

## ◆ properties() [1/3]

PropertyPolicyQos & properties | ( |  | ) |

inline

Getter for PropertyPolicyQos.

Returns
  PropertyPolicyQos reference

## ◆ properties() [2/3]

const PropertyPolicyQos & properties | ( |  | ) | const

inline

Getter for PropertyPolicyQos.

Returns
  PropertyPolicyQos reference

## ◆ properties() [3/3]

void properties | ( | const PropertyPolicyQos & | properties | ) |

inline

Setter for PropertyPolicyQos.

Parameters

  properties | PropertyPolicyQos

## ◆ setup_transports()

FASTDDS_EXPORTED_API void setup_transports | ( | rtps::BuiltinTransports | transports,
|  | const rtps::BuiltinTransportsOptions & | options = rtps::BuiltinTransportsOptions() )

Provides a way of easily configuring transport related configuration on certain pre-defined scenarios with certain options.

Parameters

  transports | Defines the transport configuration scenario to setup.
  options | Defines the options to be used in the transport configuration.

## ◆ timed_events_thread() [1/3]

rtps::ThreadSettings & timed_events_thread | ( |  | ) |

inline

Getter for timed event ThreadSettings.

Returns
  rtps::ThreadSettings reference

## ◆ timed_events_thread() [2/3]

const rtps::ThreadSettings & timed_events_thread | ( |  | ) | const

inline

Getter for timed event ThreadSettings.

Returns
  rtps::ThreadSettings reference

## ◆ timed_events_thread() [3/3]

void timed_events_thread | ( | const rtps::ThreadSettings & | value | ) |

inline

Setter for the timed event ThreadSettings.

Parameters

  value | New ThreadSettings to be set

## ◆ transport() [1/3]

TransportConfigQos & transport | ( |  | ) |

inline

Getter for TransportConfigQos.

Returns
  TransportConfigQos reference

## ◆ transport() [2/3]

const TransportConfigQos & transport | ( |  | ) | const

inline

Getter for TransportConfigQos.

Returns
  TransportConfigQos reference

## ◆ transport() [3/3]

void transport | ( | const TransportConfigQos & | transport | ) |

inline

Setter for TransportConfigQos.

Parameters

  transport | TransportConfigQos

## ◆ typelookup_service_thread() [1/3]

rtps::ThreadSettings & typelookup_service_thread | ( |  | ) |

inline

Getter for TypeLookup service ThreadSettings.

Returns
  rtps::ThreadSettings reference

## ◆ typelookup_service_thread() [2/3]

const rtps::ThreadSettings & typelookup_service_thread | ( |  | ) | const

inline

Getter for TypeLookup service ThreadSettings.

Returns
  rtps::ThreadSettings reference

## ◆ typelookup_service_thread() [3/3]

void typelookup_service_thread | ( | const rtps::ThreadSettings & | value | ) |

inline

Setter for the TypeLookup service ThreadSettings.

Parameters

  value | New ThreadSettings to be set

## ◆ user_data() [1/3]

UserDataQosPolicy & user_data | ( |  | ) |

inline

Getter for UserDataQosPolicy.

Returns
  UserDataQosPolicy reference

## ◆ user_data() [2/3]

const UserDataQosPolicy & user_data | ( |  | ) | const

inline

Getter for UserDataQosPolicy.

Returns
  UserDataQosPolicy reference

## ◆ user_data() [3/3]

void user_data | ( | const UserDataQosPolicy & | value | ) |

inline

Setter for UserDataQosPolicy.

Parameters

  value | UserDataQosPolicy

## ◆ wire_protocol() [1/3]

WireProtocolConfigQos & wire_protocol | ( |  | ) |

inline

Getter for WireProtocolConfigQos.

Returns
  WireProtocolConfigQos reference

## ◆ wire_protocol() [2/3]

const WireProtocolConfigQos & wire_protocol | ( |  | ) | const

inline

Getter for WireProtocolConfigQos.

Returns
  WireProtocolConfigQos reference

## ◆ wire_protocol() [3/3]

void wire_protocol | ( | const WireProtocolConfigQos & | wire_protocol | ) |

inline

Setter for WireProtocolConfigQos.

Parameters

  wire_protocol | WireProtocolConfigQos

## Friends And Related Symbol Documentation

## ◆ DomainParticipantExtendedQos

friend class DomainParticipantExtendedQos

friend

The documentation for this class was generated from the following file:

- include/fastdds/dds/domain/qos/DomainParticipantQos.hpp